# fn() isBitSet
Returns whether the bit with the given index is set to 1.

Defined in | <seqan/misc/bit_twiddling.h>
Signature | `bool isBitSet(word, index);`

## Parameters

`word` | The word to check (IntegerConcept).
`index` | The index of the bit to check (IntegerConcept).

## Return Values

`bool` | Whether the bit with the given index is set in `word`.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn isBitSet
     *
     * @headerfile <seqan/misc/bit_twiddling.h>
     *
     * @brief Returns whether the bit with the given index is set to 1.
     *
     * @signature bool isBitSet(word, index);
     *
     * @param[in] word The word to check (@link IntegerConcept @endlink).
     * @param[in] index The index of the bit to check (@link IntegerConcept
     *                  @endlink).
     *
     * @return bool Whether the bit with the given index is set in <tt>word</tt>.
     */